## org.w3c.dom.svg
Interface SVGPreserveAspectRatio

public interface SVGPreserveAspectRatio

Field Summary
`static short` `SVG_MEETORSLICE_MEET`
`static short` `SVG_MEETORSLICE_SLICE`
`static short` `SVG_MEETORSLICE_UNKNOWN`
`static short` `SVG_PRESERVEASPECTRATIO_NONE`
`static short` `SVG_PRESERVEASPECTRATIO_UNKNOWN`
`static short` `SVG_PRESERVEASPECTRATIO_XMAXYMAX`
`static short` `SVG_PRESERVEASPECTRATIO_XMAXYMID`
`static short` `SVG_PRESERVEASPECTRATIO_XMAXYMIN`
`static short` `SVG_PRESERVEASPECTRATIO_XMIDYMAX`
`static short` `SVG_PRESERVEASPECTRATIO_XMIDYMID`
`static short` `SVG_PRESERVEASPECTRATIO_XMIDYMIN`
`static short` `SVG_PRESERVEASPECTRATIO_XMINYMAX`
`static short` `SVG_PRESERVEASPECTRATIO_XMINYMID`
`static short` `SVG_PRESERVEASPECTRATIO_XMINYMIN`

Method Summary
`short` `getAlign()`
`short` `getMeetOrSlice()`
`void` `setAlign(short align)`
`void` `setMeetOrSlice(short meetOrSlice)`

Field Detail

### SVG_PRESERVEASPECTRATIO_UNKNOWN

    public static final short SVG_PRESERVEASPECTRATIO_UNKNOWN

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_NONE

    public static final short SVG_PRESERVEASPECTRATIO_NONE

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMINYMIN

    public static final short SVG_PRESERVEASPECTRATIO_XMINYMIN

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMIDYMIN

    public static final short SVG_PRESERVEASPECTRATIO_XMIDYMIN

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMAXYMIN

    public static final short SVG_PRESERVEASPECTRATIO_XMAXYMIN

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMINYMID

    public static final short SVG_PRESERVEASPECTRATIO_XMINYMID

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMIDYMID

    public static final short SVG_PRESERVEASPECTRATIO_XMIDYMID

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMAXYMID

    public static final short SVG_PRESERVEASPECTRATIO_XMAXYMID

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMINYMAX

    public static final short SVG_PRESERVEASPECTRATIO_XMINYMAX

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMIDYMAX

    public static final short SVG_PRESERVEASPECTRATIO_XMIDYMAX

See Also:
  Constant Field Values

### SVG_PRESERVEASPECTRATIO_XMAXYMAX

    public static final short SVG_PRESERVEASPECTRATIO_XMAXYMAX

See Also:
  Constant Field Values

### SVG_MEETORSLICE_UNKNOWN

    public static final short SVG_MEETORSLICE_UNKNOWN

See Also:
  Constant Field Values

### SVG_MEETORSLICE_MEET

    public static final short SVG_MEETORSLICE_MEET

See Also:
  Constant Field Values

### SVG_MEETORSLICE_SLICE

    public static final short SVG_MEETORSLICE_SLICE

See Also:
  Constant Field Values

Method Detail

### getAlign

    public short getAlign()

### setAlign

    public void setAlign(short align)
                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getMeetOrSlice

    public short getMeetOrSlice()

### setMeetOrSlice

    public void setMeetOrSlice(short meetOrSlice)
                        throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.